> For the complete documentation index, see [llms.txt](https://docs.sort-me.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sort-me.org/api/websocket/contestevents.md).

# /contestEvents

https\://api.sort-me.org/wss/listenSubmission

This method notifies you about most important events happening in contest.

#### Query parameters

<table><thead><tr><th width="135">Name</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>ID of contest you want to listen events from.</td></tr><tr><td><code>token</code></td><td>Your access token.<br>Required here because WSS connections can't use headers.</td></tr><tr><td><code>language</code></td><td>Language required to get text verdict representation.<br>Required here because WSS connections can't use headers.</td></tr></tbody></table>

When connection is established, you will start receiving JSON objects containing fields `type` and `event`.

## Event types

{% tabs %}
{% tab title="Broadcast" %}
This event represents important message from jury to all participants. Formatted in Markdown.

{% code overflow="wrap" %}

```javascript
{
    "type": "broadcast",
    "event": {
        "message": "Statement of problem A changed: x is *BIGGER* than $10^9$, not less."
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="Jury Message" %}
If `jury_chat` feature is enabled for contest, this event represents message from jury to you as individual participant. Formatted in Markdown.

```javascript
{
    "type": "jury-message",
    "event": {
        "message": "Read statement closer, please."
    }
}
```

{% endtab %}
{% endtabs %}
